#include <bits/stdc++.h>
using namespace std;

int main(){
    int n, q, x, y;
    int bn = 0;
    cin>>n;
    int a[n];
    bool dp[n-1];
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    for(int i=0; i<n-1; i++){
        if(a[i]<a[i+1]) dp[i] = true;
        else dp[i] = false;

    }

    cin>>q;
    for(int i=0; i<q; i++){
        cin>>x>>y;
        for(int j=x-1; j<y-2; j++){
            if(!dp[j]) bn++;
            if(bn>1) break;
        }

        if(bn<=1) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
        bn=0;
    }




}